function init()
	gun.name = "Revolver"
	gun.fireDelay = 300
	gun.shotrange = 650
	gun.shotspeed = 1000
	gun.shotdamage = 5
	gun.shotknockback = 4000
	gun.burstDelay = 100
	
	--gun.piercing = 1--penentrates shields and damage buffers
	
	--gun.firecost = .5
	
	return 0
end


function update()
	return 0
end


function fire()
	gun.addShot("shot7.png", gun.firex, gun.firey, gun.firetheta)
	shot.scale = 1.9

	--attach a trail emitter to the shot
	stage.createEmitter("shottrail", 0, 0)
	e.scale = .5
	e.attach(shot)
	e.onscreenOverride = 1
	e.upload()

	--gun.sfx("gun_pew1.wav", gun.firex, gun.firey)
	stage.sfx("gun_pew1.wav", gun.firex, gun.firey)--to make them stack
	
	return 0
end

function shot_update()

	return 0
end